/**
 * Analog Read Firmata Wiring 
 * by Carlos Mario Rodriguez Perdomo
 * 
 * Read the data from the 8 analog pins
 */

//Import the Serial i/o and the Wiring Libraries
import processing.serial.*;
import Wiring.*;
//Create a Wiring object
Wiring wiring;

PFont font;
verticalSlider slider[]=new verticalSlider[8];
void setup() {
  size(1200,200);
  frameRate(10);
  //print the serial devices list
  println(Wiring.list());
  //inicialized the wiring object
  //nameObject= new Wiring ( this, nameDevice, speed)
  //the maximun speed is 57600 bauds
  wiring = new Wiring ( this, Wiring.list()[1], 57600); 
  //load the font
  font = loadFont("BitstreamVeraSans-Bold-48.vlw");
  for(int j=0;j<8;j++) {
    slider[j] = new verticalSlider((j*150)+50,50);
  }
  wiring.pinMode(7, wiring.INPUT);
  wiring.pinMode(48, wiring.OUTPUT);
}
void draw() {
  wiring.digitalWrite(48, Wiring.HIGH);
  delay(100);
  wiring.digitalWrite(48, Wiring.LOW);
  background(0);
  textFont(font,12);
  for(int i=0; i<8;i++) {
    println("analog "+i+": "+wiring.analogRead(i));
    fill(255);
    text("analog "+i+": "+wiring.analogRead(i),(i*150)+10,30);
    slider[i].render(wiring.analogRead(i));
  }
  println("digital "+7+": "+wiring.digitalRead(7));
}

