/**
 * Digital Firmata Wiring 
 * by Carlos Mario Rodriguez Perdomo
 * 
 * Blink the LED pin 48 using a toggle
 */

//Import the Serial i/o and the Wiring Libraries
import processing.serial.*;
import Wiring.*;
//Create a Wiring object
Wiring wiring;
//Create the toggle object
Toggle toggle;
void setup() {
  //print the serial devices list
  println(Wiring.list());
  //inicialized the wiring object
  //nameObject= new Wiring ( this, nameDevice, speed)
  //the maximun speed is 57600 bauds
  wiring = new Wiring ( this, Wiring.list()[1], 57600); 
  //determinated the pinMode
  wiring.pinMode(48,Wiring.OUTPUT);
  //Inicialized the toggle
  toggle = new Toggle ( 25, 25, 50, true);
}
void draw() {
  //Draw the toggle
  toggle.display();
  //Ask if the toggle is on
  if(toggle.checked) {
    //if is true turn on the pin 48
    wiring.digitalWrite(48,Wiring.HIGH);
  }else{
    //if is true turn off the pin 48
    wiring.digitalWrite(48,Wiring.LOW);
  }
}
void mousePressed() {
  //check if the toggle is pressed
  toggle.press(mouseX, mouseY);
}

