/**
 * Servo Firmata Wiring 
 * by Carlos Mario Rodriguez Perdomo
 * 
 * Control a servo motor using the StandardFirmata example
 */

//Import the Serial i/o and the Wiring Libraries
import Wiring.*;
import processing.serial.*;
//Create a Wiring object
Wiring wiring;
int pos=0; //servo position in degrees (0..180)
float angle = 0; //start angle
PFont font; //add font
void setup()
{
  size(200, 160);
  //inicialized the wiring object
  //nameObject= new Wiring ( this, nameDevice, speed)
  //the maximun speed is 57600 bauds
  wiring = new Wiring(this, Wiring.list()[0], 57600); 
  smooth();
  //load the font
  font=loadFont("AgencyFB-Reg-32.vlw");
}

void draw()
{
  background(120);
  knob();
  textFont(font, 32);

  text("the angle is: "+int(degrees(angle)),width/2-70,40);
  // read mouseX coordinate
  // int newPos = constrain(int(degrees(angle)),0,180); // update bg & servo position if mouseX changed
  if(int(degrees(angle)) != pos)
  {
    //write the angle value in the digital pin 0
    wiring.servoWrite(0, int(degrees(angle)));
    println (" newPos = " + angle );
    pos=int(degrees(angle)); //update servo position storage variable
  }
}  
//calculated the angle
void mouseDragged() {
  float thisAngle = atan2(mouseY-height, mouseX-width/2)%180;
  float prevAngle = atan2(pmouseY-height, pmouseX-width/2)%180;
  angle += thisAngle - prevAngle;
}  
//Draw the knob
void knob() {
  noFill();
  strokeWeight(1);
  fill(0);
  stroke(255);
  ellipse(width/2, height, 200,200);
  fill(255);
  strokeWeight(6);
  pushMatrix();
  translate(width/2, height);
  rotate(angle-PI);
  line(0,0,100,0);
  popMatrix();
}

